Summary: An Atari ST emulator suitable for playing games
Name: hatari
Version: 0.95
Release: 4%{?dist}
License: GPLv2+
Group: Applications/Emulators
URL: http://hatari.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0: http://dl.sf.net/%{name}/%{name}-%{version}.tar.gz
Source1: hatari.png
Source2: hatari.desktop
Source3: hatari-README.tos
Patch0: hatari-0.95-hmsa_rpmopt.patch
BuildRequires: SDL-devel >= 1.2.0
BuildRequires: zlib-devel
BuildRequires: desktop-file-utils
Requires: hicolor-icon-theme


%description
Hatari is an emulator for the Atari ST, STE, TT and Falcon computers.
More precisely, it is an adaption of the WinSTon source code to 
Linux, using the UAE CPU core instead of the original, non-portable 
assembler CPU core.

The Atari ST was a 16/32 bit computer system which was first released 
by Atari in 1985. Using the Motorola 68000 CPU, it was a very popular 
computer having quite a lot of CPU power at that time.

Unlike many other Atari ST emulators which try to give you a good 
environment for running GEM applications, Hatari tries to emulate the 
hardware of a ST as close as possible so that it is able to run most 
of the old ST games and demos.


%prep
%setup -q
%patch0 -p1

cp -p %{SOURCE3} README.tos

# Fix Makefile not to strip binaries during make install
sed -i 's/@INSTALL_PROGRAM@ -s/@INSTALL_PROGRAM@/' Makefile.cnf.in

# Convert french man page to UTF-8
iconv --from=ISO-8859-1 --to=UTF-8 doc/fr/hatari.1 > doc/fr/hatari.1.utf8
mv doc/fr/hatari.1.utf8 doc/fr/hatari.1

# Fix file encoding
iconv --from=ISO-8859-1 --to=UTF-8 doc/authors.txt > doc/authors.txt.utf8
mv doc/authors.txt.utf8 doc/authors.txt


%build
%configure --datadir=%{_datadir}/hatari
# It does not compile with smp_mflags
make 

# Build hmsa tool
make -C tools/hmsa

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} 

# Install hmsa tool
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 tools/hmsa/hmsa %{buildroot}%{_bindir}

# Install man pages
install -d -m 755 %{buildroot}%{_mandir}/man1
install -m 644 doc/hatari.1 %{buildroot}%{_mandir}/man1
install -d -m 755 %{buildroot}%{_mandir}/fr/man1
install -m 644 doc/fr/hatari.1 %{buildroot}%{_mandir}/fr/man1

# Install desktop file
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor fedora         \
  --dir %{buildroot}%{_datadir}/applications \
  %{SOURCE2}

# Install icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
cp %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root)
%{_bindir}/hatari
%{_bindir}/hmsa
%{_datadir}/hatari
%{_mandir}/man1/hatari.1*
%{_mandir}/fr/man1/hatari.1*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%doc gpl.txt readme.txt doc/{*.txt,*.html,images}
%doc tools/hmsa/readme-hmsa.txt
%doc README.tos


%changelog
* Sat Oct 06 2007 Andrea Musuruane <musuruan@gmail.com> 0.95-4
- Fixed doc/authors.txt file encoding
- Updated icon cache scriptlets to be compliant to new guidelines

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.95-3
- Rebuild for selinux ppc32 issue.

* Mon Aug 20 2007 Andrea Musuruane <musuruan@gmail.com> 0.95-2
- changed license due to new guidelines 
- removed %%{?dist} tag from changelog

* Sat Jun 23 2007 Andrea Musuruane <musuruan@gmail.com> 0.95-1
- updated to upstream 0.95
- updated description
- README.tos and hatari.desktop are no longer built in the spec file
- added new upstream hmsa tool
- added new upstream french man page
- updated icon cache scriptlets to be compliant to new guidelines
- cosmetic changes

* Sat Mar 17 2007 Andrea Musuruane <musuruan@gmail.com> 0.90-6
- dropped --add-category X-Fedora from desktop-file-install
- changed .desktop category to Game;Emulator;
- now using sed to fix makefile not to strip binaries during make install
- cosmetic changes to BR section

* Mon Oct 23 2006 Andrea Musuruane <musuruan@gmail.com> 0.90-5
- added a patch not to strip binaries during make install
- added hicolor-icon-theme to Requires

* Sat Oct 21 2006 Andrea Musuruane <musuruan@gmail.com> 0.90-4
- added README.tos to explain that Hatari is shipped with EmuTOS

* Fri Oct 20 2006 Andrea Musuruane <musuruan@gmail.com> 0.90-3
- new release for FE migration

* Sun Oct 08 2006 Andrea Musuruane <musuruan@gmail.com> 0.90-2
- replaced %%_mandir with %%{_mandir}
- full URL is now specified in the Source tag
- added .desktop file and icons

* Sat Sep 30 2006 Andrea Musuruane <musuruan@gmail.com> 0.90-1
- initial package


